# CB sample repo

Steps to reproduce the issue:
1. Start local couchbase
2. Create bucket called "data". Create document inside that bucket called "test-document" and add the below sample json.
```
{
  "application": "test",
  "categories": [
    {
      "id": "test"
    },
    {
      "id": "test"
    }
  ],
  "information": [
    {
      "category": "1",
      "id": "id1",
      "type": "data",
      "records": [
        {
          "key1": "value 1"
        },
        {
          "key2": "value 2"
        },
        {
          "key3": "value 3"
        },
        {
          "key4": "value 4"
        },
        {
          "key5": "value 5"
        },
        {
          "key6": "value 6"
        }
      ]
    },
    {
      "category": "2",
      "id": "id2",
      "type": "data",
      "records": [
        {
          "key1": "value 1"
        },
        {
          "key2": "value 2"
        },
        {
          "key3": "value 3"
        },
        {
          "key4": "value 4"
        },
        {
          "key5": "value 5"
        },
        {
          "key6": "value 6"
        }
      ]
    },
    {
      "category": "3",
      "id": "id3",
      "type": "data",
      "records": [
        {
          "key1": "value 1"
        },
        {
          "key2": "value 2"
        }
      ]
    },
    {
      "category": "4",
      "id": "id4",
      "type": "data",
      "records": [
        {
          "key1": "value 1"
        },
        {
          "key2": "value 2"
        },
        {
          "key3": "value 3"
        }
      ]
    }
  ],
  "type": "data"
}
```
3 Click save and save the document to the bucket. 

4 In src/main/resources, edit application.yml file, Enter username and password.

5 Start and run TestApplication.java, open postman and hit the below curl:

```curl --location --request GET 'http://localhost:9090/data/id1'```

Based on the json given above, these are the possible endpoints that can be hit:

```
   curl --location --request GET 'http://localhost:9090/data/id1'
   curl --location --request GET 'http://localhost:9090/data/id2'
   curl --location --request GET 'http://localhost:9090/data/id3'
   curl --location --request GET 'http://localhost:9090/data/id4'
```

6 Stop the couchbase server without stopping the application. 
And again start the couchbase server, the endpoint will get timeout error 
and will execute with response of 500 INTERNAL_SERVER_ERROR

7 In CouchbaseStorageUtility class under "utils" package, there will be lines of code 
commented from 104-108, if that piece of code is uncommented, it will work even after the
couchbase server has restarted