package com.couchbase.test.configurations;

import java.util.ArrayList;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Couchbase Configuration.
 */
@Getter
@Setter
@Component
@ConfigurationProperties("couchbase")
public class CouchbaseConfiguration {

  // Couchbase url
  private String url;

  // Couchbase username
  private String username;

  // Couchbase password
  private String password;

  // Name of buckets to be opened
  private ArrayList<String> buckets;

  // Application name to be set in the key strategy
  private String applicationName;
}
