package com.couchbase.test.controller;

import com.couchbase.test.model.DataDto;
import com.couchbase.test.provider.CouchbaseProvider;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Mono;

import javax.validation.constraints.NotBlank;

@RestController
public class TestController {

  private final CouchbaseProvider couchbaseProvider;

  public TestController(CouchbaseProvider couchbaseProvider) {
    this.couchbaseProvider = couchbaseProvider;
  }

  @GetMapping("/data/{dataId}")
  public Mono<DataDto> getRecordById(@PathVariable @NotBlank String dataId) {
    return couchbaseProvider.getRecordById(dataId);
  }
}
