package com.couchbase.test.exceptions;

import lombok.Getter;

/**
 * Storage Exception Class.
 */
@Getter
public class StorageException extends Exception {

  // Exception code
  private String code;

  // Exception message
  private String message;

  /**
   * Constructs a new exception with the specified code and message.
   *
   * @param  code    exception code.
   * @param  message exception message.
   */
  public StorageException(String code, String message) {
    this.message = message;
    this.code = code;
  }
}
