package com.couchbase.test.utils;

import com.couchbase.client.java.document.json.JsonObject;
import reactor.core.publisher.Mono;

/**
 * Interface for handling all operations related to storage.
 *
 */
public interface StorageUtility {

  /**
   * Retrieves contents of a particular documentId.
   *
   * @param documentId Document Id.
   * @param documentClassType Class type to map the object with.
   * @param bucketName Name of the bucket to be opened.
   */
  <T> Mono<T> get(String documentId, Class<T> documentClassType, String bucketName);
}
